Subject: Re: [Pce] I-D Action:draft-margaria-pce-gmpls-pcep-extensions-01.txt

From: "Margaria, Cyril (NSN - DE/Munich)" <[email-masked]>
Date: Wed, 7 Jul 2010 14:55:00 +0200

Hi all, 

We submitted an updated version of this draft 
http://www.ietf.org/internet-drafts/draft-margaria-pce-gmpls-pcep-extens
ions-01.txt

The major updates are: 
 - merge of draft-margaria-pce-gmpls-pcep-extensions-00.txt and 
 - Improved endpoints specification
 - Improved Label specification 

One topic raised in the last meeting was the use of TLV for generalized
bandwidth,
for this we would like to get feedback from the WG 

A first point is that according to RFC5440 section 7.7 the bandwidth
object has a fixed body size of 4 Byte, 
and does not define TLV. Following a strict interpretation its not
possible to add any TLV. A more relaxed interpretation could allow TLV
with new C-Types : is it possible with new C-Type to change the
BANDWIDTH object length and allow TLVs?

A second point is that the new C-Type would contains only TLV and no
fixed body. 
Processing could be more complicated, is there arguments for or against
TLV-only object body?

Best Regards
Cyril Margaria

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of ext 
> [email-masked]
> Sent: Thursday, July 01, 2010 1:00 PM
> To: [email-masked]
> Subject: I-D Action:draft-margaria-pce-gmpls-pcep-extensions-01.txt 
> 
> A New Internet-Draft is available from the on-line 
> Internet-Drafts directories.
> 
> 	Title           : PCEP extensions for GMPLS
> 	Author(s)       : C. Margaria, et al.
> 	Filename        : 
> draft-margaria-pce-gmpls-pcep-extensions-01.txt
> 	Pages           : 29
> 	Date            : 2010-07-01
> 
> This memo provides extensions for the Path Computation 
> Element communication Protocol (PCEP) for the support of 
> GMPLS control plane.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-margaria-pce-gmpls-p
> cep-extensions-01.txt
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> Below is the data which will enable a MIME compliant mail 
> reader implementation to automatically retrieve the ASCII 
> version of the Internet-Draft.
>